"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _webinySqlTable = require("webiny-sql-table");

class KeyIndex extends _webinySqlTable.Index {
  getType() {
    return "";
  }

  getSQLValue() {
    let columns = this.getColumns();
    columns = columns.map(item => `\`${item}\``).join(", ");
    let sql = "KEY";

    if (this.getType()) {
      sql = this.getType() + " KEY";
    }

    sql += ` \`${this.getName() || ""}\``;
    sql += ` (${columns})`;
    return sql;
  }

}

var _default = KeyIndex;
exports.default = _default;
//# sourceMappingURL=keyIndex.js.map